Package org.jcsp.net.settings

# Class Addresses

java.lang.Object
org.jcsp.net.settings.Addresses

public class Addresses extends Object
Unsed internally within the JCSP network infrastructure to represent a set of addresses.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`Addresses()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addAddress(Address a)`
`Address[]`
`getAddresses()`
`Address`
`getLastAddress()`
`void`
`removeAddress(Address a)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Addresses

public Addresses()

## Method Details

### addAddress

public void addAddress(Address a)

### removeAddress

public void removeAddress(Address a)

### getAddresses

public Address[] getAddresses()

### getLastAddress

public Address getLastAddress()

### toString

public String toString()

Overrides:
  `toString` in class `Object`